# std::chrono::weekday::operator++, std::chrono::weekday::operator--

From cppreference.com
< cpp‎ | chrono‎ | weekday

constexpr std::chrono::weekday& operator++() noexcept; | (1) | (since C++20)
constexpr std::chrono::weekday operator++(int) noexcept; | (2) | (since C++20)
constexpr std::chrono::weekday& operator--() noexcept; | (3) | (since C++20)
constexpr std::chrono::weekday operator--(int) noexcept; | (4) | (since C++20)

Adds or subtracts 1 from the weekday value, reducing the result modulo 7 to an integer in the range [0, 6].

1-2) Performs *this += std::chrono::days{1};
3-4) Performs *this -= std::chrono::days{1};

### Parameters

(none)

### Return value

1,3) a reference to this `weekday` after modification
2,4) a copy of the `weekday` made before modification

### Notes

After a call to one of these functions, ok() is always true.

### Example

| This section is incomplete Reason: no example

### See also

operator+=operator-= | adds or subtracts a number of days (public member function)
operator+operator- | performs arithmetic on `weekday`s (function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/chrono/weekday/operator_inc_dec&oldid=104799"